Installing FOG in Ubuntu 13.10 with Pre-existing Apache, php, and MariaDB



  • As title stated, I am trying to install FOG in Ubuntu 13.10 with Pre-existing Apache, php, and MariaDB. I don’t want to mess up my MariaDB. Is there a way that can allow me install FOG but skip AMP?


  • Senior Developer

    I know for a fact it will work on mariadb



  • thank you for the reply. I will try it. I hope fog can move to mariadb. Cause we use it in our existing servers.


  • Senior Developer

    Look thru the Ubuntu install section:

    The following is the list of packages it installs
    [code]apache2 php5 php5-gd php5-cli php5-mysql php5-curl mysql-server mysql-client isc-dhcp-server tftpd-hpa tftp-hpa nfs-kernel-server vsftpd net-too ls wget xinetd sysv-rc-conf tar gzip build-essential cpp gcc g++ m4 htmldoc perl libcrypt-passwdmd5-perl lftp openssh-server php-gettext clamav-freshclam[/code]

    [COLOR=#000000]You should be able to bypass out what you don’t need by removing the packages from the <foginstallerdir>/lib/ubuntu/config.sh file[/COLOR]
    [COLOR=#000000][code]apache2 php5 php5-gd php5-cli php5-mysql php5-curl mysql-server mysql-client[/code][/COLOR]


Log in to reply
 

360
Online

39.3k
Users

11.0k
Topics

104.4k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.